Subject: bug#13072: 24.3.50; Fancy Diary display fontification failures

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 22 Aug 2020 15:26:38 +0200

Stephen Berman <[email-masked]> writes:

> I don't know, but a first rough implementation of your suggestion seems
> promising: with the patch below, when using either of the above values
> of calendar-date-display-form, the date strings are fontified.  A
> complete fix should go through the code carefully, checking for possible
> corner cases.  Glenn Morris probably knows best if such an approach is
> worth pursuing.

[...]

> -              (insert (if (bobp) "" ?\n) (calendar-date-string date))
> +              (insert (if (bobp) "" ?\n)
> +                      (propertize (calendar-date-string date) 'face 'diary))

Makes sense to me.  And we could then probably remove
diary-fancy-date-pattern.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no